/Users/bernard/b20/bsoft/tcltk/bshow_param.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_param.tcl - Procedures to read and write parameter files.

SYNOPSIS

  Functions
setupParameterMenu
Menu for opening and closing parameter files.
openParam
Opens a micrograph parameter file for reading.
loadParam file
Opens a micrograph parameter file for reading.
appendParam
Appends one or more micrograph parameter files.
tag_line w
selectAFile
Dialog box to select an image file.
setSelectionAndDestroy
updateClassParam
updateParametersAndImage
getNeighborImageOfType dir
getNeighborImageOfType2 dir
setupMicrographID w
Sets up micrograph id and total.
setupMicrographButtons w typelabel
Sets up micrograph navigation and selection buttons.
createMgParam
Creates micrograph parameters from the image.
micrographItem n
Returns the current project item.
selectMicrograph
setMgParam
Updates an existing project for micrograph parameters in memory.
writeParam
Saves the micrograph data base to a parameter file.
editParam
Edits a text parameter file.
checkParamFile
Checks if the parameter file exist, otherwise save it.

Detailed Description

Procedures to read and write parameter files.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20190911

Definition in file bshow_param.tcl.

Function Documentation

  appendParam

Appends one or more micrograph parameter files.

Definition at line 101 of file bshow_param.tcl.

  checkParamFile

Checks if the parameter file exist, otherwise save it.

Definition at line 608 of file bshow_param.tcl.

  createMgParam

Creates micrograph parameters from the image.

Definition at line 447 of file bshow_param.tcl.

  editParam

Edits a text parameter file.

Definition at line 600 of file bshow_param.tcl.

  getNeighborImageOfTypedir

Definition at line 280 of file bshow_param.tcl.

  getNeighborImageOfType2dir

Definition at line 340 of file bshow_param.tcl.

  loadParamfile

Opens a micrograph parameter file for reading.

Parameters:
    file parameter file name.

Definition at line 86 of file bshow_param.tcl.

  micrographItemn

Returns the current project item.

Parameters:
    n micrograph index (first = 0)

Definition at line 492 of file bshow_param.tcl.

  openParam

Opens a micrograph parameter file for reading.

Definition at line 66 of file bshow_param.tcl.

  selectAFile

Dialog box to select an image file.

Definition at line 129 of file bshow_param.tcl.

  selectMicrograph

Definition at line 515 of file bshow_param.tcl.

  setMgParam

Updates an existing project for micrograph parameters in memory.

Definition at line 523 of file bshow_param.tcl.

  setSelectionAndDestroy

Definition at line 218 of file bshow_param.tcl.

  setupMicrographButtonsw typelabel

Sets up micrograph navigation and selection buttons.

Parameters:
    w window.
    typelabel type of navigation (micrograph).

Definition at line 427 of file bshow_param.tcl.

  setupMicrographIDw

Sets up micrograph id and total.

Parameters:
    w window.

Definition at line 404 of file bshow_param.tcl.

  setupParameterMenu

Menu for opening and closing parameter files.

Definition at line 22 of file bshow_param.tcl.

  tag_linew

Definition at line 119 of file bshow_param.tcl.

  updateClassParam

Definition at line 231 of file bshow_param.tcl.

  updateParametersAndImage

Definition at line 241 of file bshow_param.tcl.

  writeParam

Saves the micrograph data base to a parameter file.

Definition at line 564 of file bshow_param.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.